package routes

import (
	"server/internal/admin"
	"server/internal/auth"
	"server/internal/systemUtils"
	users "server/internal/user"

	"github.com/gofiber/fiber/v3"
)

func Register(api fiber.Router) {
	systemUtils.RegisterSystemRoutes(api)
	users.RegisterUserRoutes(api)
	admin.RegisterAdminRoutes(api)
	auth.RegisterAuthRoutes(api)
}
